package com.ruoyi.wx.web.domain.dto;

import com.ruoyi.common.annotation.Excel;

/**
 * 增加积分前端入参
 */
public class CreditDto {
    /**
     * 积分id
     */
    private Long id;

    /** 积分类型 */
    @Excel(name = "积分类型")
    private String creditType;

    /** 积分数 */
    @Excel(name = "积分数")
    private Long creditNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreditType() {
        return creditType;
    }

    public void setCreditType(String creditType) {
        this.creditType = creditType;
    }

    public Long getCreditNum() {
        return creditNum;
    }

    public void setCreditNum(Long creditNum) {
        this.creditNum = creditNum;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("CreditDto{");
        sb.append("id=").append(id);
        sb.append(", creditType='").append(creditType).append('\'');
        sb.append(", creditNum=").append(creditNum);
        sb.append('}');
        return sb.toString();
    }
}
